"""
All functions for the ascidata module  

@author: Martin Kuemmel, Jonas Haase
@organization: Space Telescope - European Coordinating Facility (ST-ECF)
@license: Gnu Public Licence
@contact: mkuemmel@eso.org
@version: 0.9
@since: 2005/09/13
"""

from asciidata import *

def open(filename, null=None, delimiter=None, comment=None):
    """
    Constructor for the AsciiData class
    
    @param filename: the filename to create the AsciiData from
    @type filename: string
    @param null: string to be interpretet as NULL
    @type null: string
    @param delimiter: string to be used as delimiter
    @type delimiter: string
    @param comment: string to be used as comment
    @type comment: string

    @return: the created AsciiData instance
    @rtype: AsciiData
    """
    return AsciiData(filename=filename, null=null, delimiter=delimiter,\
                     comment=comment)

def create(ncols, nrows, null=None, delimiter=None):
    """
    Constructor for the empty AsciiData class
    
    @param ncols: number of columns to be created
    @type ncols: integer
    @param nrows: number of columns to be created
    @type nrows: integer
    @param null: string to be interpretet as NULL
    @type null: string
    @param delimiter: string to be used as delimiter
    @type delimiter: string

    @return: the created AsciiData instance
    @rtype: AsciiData
    """
    return AsciiData(ncols=ncols, nrows=nrows, null=null, delimiter=delimiter)
