"""
$Revision: 1.2 $ $Date: 2010-08-25 06:47:17 $
Author: Martin Kuemmel
Affiliation: Space Telescope - European Coordinating Facility
"""
__author__ = "Martin Kuemmel <mkuemmel@eso.org>"
__date__ = "$Date: 2010-08-25 06:47:17 $"
__version__ = "$Revision: 1.2 $"
__credits__ = """This software was developed by the ACS group of the Space Telescope -
European Coordinating Facility (ST-ECF). The ST-ECF is a department jointly
run by the European Space Agency and the European Southern Observatory.
It is located at the ESO headquarters at Garching near Munich. The ST-ECF
staff supports the European astronomical community in exploiting the research
opportunities provided by the earth-orbiting Hubble Space Telescope.
"""

class TabCol:
    def __init__(self, colhead, data):
        """
        Input:
            colhead - the column header
            data    - the column data
        """
        self.colhead = colhead
        self.entry   = data

    def printcol(self):
        """
        Input:
            -

        Return:
            -

        Description:
            Prints the column name followed
            by the data in the column onto the screen
        """
        print self.colhead.getname()
        for oneentry in self.entry:
            print oneentry

    def getentry(self, index):
        """
        Input:
            index - the row index

        Return:
            the requested row entry

        Description:
            Delivers a column entry to the
            calling module.
        """
        return self.entry[index]

    def setentry(self, index, value):
        """
        Input:
            index - the row index
            value - the value

        Return:
            0/1 in case of success/faileaure

        Description:
            Sets the entry in row 'index' of 'self.entry'
            to 'value'. Returns '1' in case that the
            entry is longer than the list 'self.entry'
            and '0' in case of success.
        """
        if index > len(self.entry):
            return 1
        else:
            self.entry[index] = value

        return 0

    def getname(self):
        """
        Input:
            -

        Return:
            the column name

        Description:
          Delivers the column name back to the
          calling codule.
        """
        return self.colhead.getname()
