"""
$Revision: 1.2 $ $Date: 2010-08-25 06:47:17 $
Author: Martin Kuemmel
Affiliation: Space Telescope - European Coordinating Facility
"""
__author__ = "Martin Kuemmel <mkuemmel@eso.org>"
__date__ = "$Date: 2010-08-25 06:47:17 $"
__version__ = "$Revision: 1.2 $"
___credits__ = """This software was developed by the ACS group of the Space Telescope -
European Coordinating Facility (ST-ECF). The ST-ECF is a department jointly
run by the European Space Agency and the European Southern Observatory.
It is located at the ESO headquarters at Garching near Munich. The ST-ECF
staff supports the European astronomical community in exploiting the research
opportunities provided by the earth-orbiting Hubble Space Telescope.
"""

def message(code):
    """
    Input:
        code - an integer error code

    Return:
        None

    Description:
        for each error which might occur this function
        delivers a corresponding i-branch to point
        the user to the sources of the error.
        The error codes are grouped in class and subclass
        One-digit code make the basic classes,
        ther two digit classes subclass the basic classes.
        E.g. code '21' is a subclass of the basic class '2'.
    """
    if code == 1:
        print """
ERROR:
Can not read the parameter file.
Either it does not exist, or you do not have
read-access!
"""
    elif code == 2:
        print """
ERROR:
Your did not specify a sextractor catalog!
"""
    elif code == 21:
        print """
ERROR:
Can not read the sextractor catalog.
Either it does not exist, or you do not have
read-access!
"""
    elif code == 3:
        print """
ERROR:
Your did not specify a direct image!
"""
    elif code == 31:
        print """
ERROR:
Can not read the direct image.
Either it does not exist, or you do not have
read-access!
"""
    elif code == 4:
        print """
ERROR:
Your did not specify a stamp image!
"""
    elif code == 41:
        print """
ERROR:
Can not read the stamp image.
Either it does not exist, or you do not have
read-access!
"""
    elif code == 42:
        print """
ERROR:
Can not read the specified css file!
Either it does not exist, or you do not have
read-access!
"""
    elif code == 43:
        print """
ERROR:
Can not read the specified selection file!
Either it does not exist, or you do not have
read-access!
"""
    elif code == 5:
        print """
ERROR:
Your did not specify a spectra table!
"""
    elif code == 51:
        print """
ERROR:
Can not read the spectra table.
Either it does not exist, or you do not have
read-access!
"""
    elif code == 6:
        print """
ERROR:
There is an unknown setting in the command line!
"""
    elif code == 7:
        print """
ERROR:
There is an unknown setting in the parameter file!
"""
    elif code == 81:
        print """
ERROR:
There value associated to the errorbar-setting must be
either 'yes' or 'no'!
"""
    elif code == 82:
        print """
ERROR:
There value associated to the only_html-setting must be
either 'yes' or 'no'!
"""
    elif code == 83:
        print """
ERROR:
There value associated to the overview-setting must be
either 'yes' or 'no'!
"""
    elif code == 84:
        print """
ERROR:
I can not recognize the given image format. That must be
either JPG, GIF, PNG or PBM!
"""
    elif code == 85:
        print """
ERROR:
The value associated to the mark_sources-setting must be
either 'yes' or 'no'!
"""
    elif code == 91:
        print """
ERROR:
The specified outputpath or image directory is either not
a directory, or you do not have write access to that directory.
"""
    elif code == 92:
        print """
ERROR:
There are problems to create the specified output directory
or image directory. Check whether you have write access there!

"""
    elif code == 93:
        print """
ERROR:
The output directory or image directory has been created, however
there are problems which I can not identify. Check by yourselfes, please.
"""
    elif code == 100:
        print """
ERROR:
The sextractor catalog does not have all the
columns needed for aXe. According to the header
one or several columns are missing.
The required columns are:

NUMBER
X_IMAGE
Y_IMAGE
A_IMAGE
B_IMAGE
THETA_IMAGE
X_WORLD
Y_WORLD
A_WORLD
B_WORLD
THETA_WORLD
MAG_AUTO
"""
    elif code == 101:
        print """
ERROR:
The sextractor catalog does not have all the
columns according to which the objects should be
sorted.
"""
    elif code == 110:
        print """
ERROR:
A range for the wavelength cuts of the spectra
has not been given.
"""
    elif code == 111:
        print """
ERROR:
The wavelength range has a wrong format.
The requested format is 'lower,upper'
"""
    elif code == 112:
        print """
ERROR:
A lower limit for the wavelength range could not
be extracted.
"""
    elif code == 113:
        print """
ERROR:
An upper limit for the wavelength range could not
be extracted.
"""
